using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int l = int.Parse(s[1]);
            HashSet<int> v = new HashSet<int>();
            s = Console.ReadLine().Split();
            int p = -1;
            for (int i = 0; i < n; i++) 
            {
                int vis = int.Parse(s[i]);
                if (vis <= l) 
                {
                    p = i + 1;
                    break;
                }
                v.Add(vis);
            }
            if (p == -1 && v.Count == 1) 
                Console.WriteLine(1);
            else
                Console.WriteLine(p);
        }
    }
}